org.eclnt.jsfserver.defaultscreens

## Class Wizard.WizardPageInfo

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.Wizard.WizardPageInfo

- All Implemented Interfaces:
    java.io.Serializable, Wizard.IWizardPageInfo
  Enclosing class:
    Wizard

      public static class Wizard.WizardPageInfo
      extends java.lang.Object
      implements Wizard.IWizardPageInfo, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WizardPageInfo(java.lang.String step, java.lang.String page)`
    `WizardPageInfo(java.lang.String step, java.lang.String page, boolean finishIsEnabled, boolean pageIsEnabled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfDisabledMeansInvisibleWithFinish()`
    `boolean` | `checkIfDisabledMeansInvisibleWithNext()`
    `boolean` | `checkIfDisabledMeansInvisibleWithPrevious()`
    `boolean` | `checkIfFinishIsEnabled()` Check if this page allows to finish the wizard.
    `boolean` | `checkIfPageIsEnabled()` Check if this page is enabled.
    `java.lang.String` | `getContentReplace()` Content replace for the page that will be included.
    `java.lang.String` | `getIconCancel()`
    `java.lang.String` | `getIconDisabled()`
    `java.lang.String` | `getIconFinish()`
    `java.lang.String` | `getIconNext()`
    `java.lang.String` | `getIconPrevious()`
    `java.lang.String` | `getPage()` Page that is shown for the step.
    `boolean` | `getRenderedDistance()` There are four buttons within the wizards: previous, next, finish, cancel.
    `java.lang.String` | `getStep()` Name of the wizard step that is displayed to the user.
    `java.lang.String` | `getTextCancel()`
    `java.lang.String` | `getTextFinish()`
    `java.lang.String` | `getTextNext()`
    `java.lang.String` | `getTextPrevious()`
    `void` | `setFinishIsEnabled(boolean value)`
    `void` | `setPage(java.lang.String value)`
    `void` | `setPageIsEnabled(boolean value)`
    `void` | `setStep(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WizardPageInfo

          public WizardPageInfo(java.lang.String step,
                                java.lang.String page)

    - #### WizardPageInfo

          public WizardPageInfo(java.lang.String step,
                                java.lang.String page,
                                boolean finishIsEnabled,
                                boolean pageIsEnabled)

  - ### Method Detail

    - #### setStep

          public void setStep(java.lang.String value)

    - #### getStep

          public java.lang.String getStep()

      Description copied from interface: `Wizard.IWizardPageInfo`
      Name of the wizard step that is displayed to the user.
      Specified by:
        `getStep` in interface `Wizard.IWizardPageInfo`

    - #### setPage

          public void setPage(java.lang.String value)

    - #### getPage

          public java.lang.String getPage()

      Description copied from interface: `Wizard.IWizardPageInfo`
      Page that is shown for the step.
      Specified by:
        `getPage` in interface `Wizard.IWizardPageInfo`

    - #### getContentReplace

          public java.lang.String getContentReplace()

      Description copied from interface: `Wizard.IWizardPageInfo`
      Content replace for the page that will be included.
      Specified by:
        `getContentReplace` in interface `Wizard.IWizardPageInfo`

    - #### setFinishIsEnabled

          public void setFinishIsEnabled(boolean value)

    - #### setPageIsEnabled

          public void setPageIsEnabled(boolean value)

    - #### checkIfFinishIsEnabled

          public boolean checkIfFinishIsEnabled()

      Description copied from interface: `Wizard.IWizardPageInfo`
      Check if this page allows to finish the wizard. Finishing means providing the function to successfully finish.
      Specified by:
        `checkIfFinishIsEnabled` in interface `Wizard.IWizardPageInfo`

    - #### checkIfPageIsEnabled

          public boolean checkIfPageIsEnabled()

      Description copied from interface: `Wizard.IWizardPageInfo`
      Check if this page is enabled.
      Specified by:
        `checkIfPageIsEnabled` in interface `Wizard.IWizardPageInfo`

    - #### checkIfDisabledMeansInvisibleWithFinish

          public boolean checkIfDisabledMeansInvisibleWithFinish()

      Specified by:
        `checkIfDisabledMeansInvisibleWithFinish` in interface `Wizard.IWizardPageInfo`

    - #### checkIfDisabledMeansInvisibleWithNext

          public boolean checkIfDisabledMeansInvisibleWithNext()

      Specified by:
        `checkIfDisabledMeansInvisibleWithNext` in interface `Wizard.IWizardPageInfo`

    - #### checkIfDisabledMeansInvisibleWithPrevious

          public boolean checkIfDisabledMeansInvisibleWithPrevious()

      Specified by:
        `checkIfDisabledMeansInvisibleWithPrevious` in interface `Wizard.IWizardPageInfo`

    - #### getTextCancel

          public java.lang.String getTextCancel()

      Specified by:
        `getTextCancel` in interface `Wizard.IWizardPageInfo`

    - #### getTextFinish

          public java.lang.String getTextFinish()

      Specified by:
        `getTextFinish` in interface `Wizard.IWizardPageInfo`

    - #### getTextNext

          public java.lang.String getTextNext()

      Specified by:
        `getTextNext` in interface `Wizard.IWizardPageInfo`

    - #### getTextPrevious

          public java.lang.String getTextPrevious()

      Specified by:
        `getTextPrevious` in interface `Wizard.IWizardPageInfo`

    - #### getIconPrevious

          public java.lang.String getIconPrevious()

      Specified by:
        `getIconPrevious` in interface `Wizard.IWizardPageInfo`

    - #### getIconNext

          public java.lang.String getIconNext()

      Specified by:
        `getIconNext` in interface `Wizard.IWizardPageInfo`

    - #### getIconFinish

          public java.lang.String getIconFinish()

      Specified by:
        `getIconFinish` in interface `Wizard.IWizardPageInfo`

    - #### getIconCancel

          public java.lang.String getIconCancel()

      Specified by:
        `getIconCancel` in interface `Wizard.IWizardPageInfo`

    - #### getIconDisabled

          public java.lang.String getIconDisabled()

      Specified by:
        `getIconDisabled` in interface `Wizard.IWizardPageInfo`

    - #### getRenderedDistance

          public boolean getRenderedDistance()

      Description copied from interface: `Wizard.IWizardPageInfo`
      There are four buttons within the wizards: previous, next, finish, cancel. Between the next and the finish button there is a distance. By specifying "false" you decide that the distance is not rendered.
      Specified by:
        `getRenderedDistance` in interface `Wizard.IWizardPageInfo`

Copyright © CaptainCasa Gmbh. All Rights Reserved.